aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLaurent Bercot <ska-devel@skarnet.org>2016-10-28 18:46:05 +0200
committerTimo Teräs <timo.teras@iki.fi>2016-11-04 06:49:22 +0000
commita7aa1a25085f8444e52d6da2a87676ce2dff880f (patch)
treefb75f9441c9a95cd53537bdb43458fce37f21dd7
parent76630bc943510213abe8e9ae062055024b05465d (diff)
downloadaports-a7aa1a25085f8444e52d6da2a87676ce2dff880f.tar.gz
aports-a7aa1a25085f8444e52d6da2a87676ce2dff880f.tar.bz2
aports-a7aa1a25085f8444e52d6da2a87676ce2dff880f.tar.xz
main/s6-linux-init: new package
-rw-r--r--main/s6-linux-init/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/main/s6-linux-init/APKBUILD b/main/s6-linux-init/APKBUILD
new file mode 100644
index 0000000000..46c893f1f8
--- /dev/null
+++ b/main/s6-linux-init/APKBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Laurent Bercot <ska-devel@skarnet.org>
+# Contributor: Laurent Bercot <ska-devel@skarnet.org>
+pkgname=s6-linux-init
+pkgver=0.2.0.0
+pkgrel=0
+pkgdesc="A set of tools to create and run an s6-based init system."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+build() {
+ cd "$builddir"
+ ./configure \
+ --enable-shared \
+ --enable-static \
+ --disable-allstatic \
+ --prefix=/usr \
+ --libdir=/usr/lib \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="24b9b232a5bcbb6be1c592ae1c23eb6d s6-linux-init-0.2.0.0.tar.gz"
+sha256sums="131484e61eff0e671e112f0436b13e8e7d08752f810d8bec4924a68383eee2b9 s6-linux-init-0.2.0.0.tar.gz"
+sha512sums="16c8c97b65ad533b70ed9dd189827778797dc8d0a70af0880655b5f89a1524cd9d3675cb681b99f4704d43c810a4211c9926bfeb743247d7c29559ec2f77606e s6-linux-init-0.2.0.0.tar.gz"